<template>
    <section class="is-fullheight">
        <div class="container">
            <div class="column is-4 is-offset-4">
                <div class="box">
                <h2 class="title has-text-centered">Cadastro</h2>

                <form method="post" @submit.prevent="register">
                    <div class="field">
                        <p class="control has-icons-left has-icons-right">
                            <input class="input" type="text" placeholder="Usuário" :class="{ 'input is-danger': vErrors.name }"
                                v-model="name" required>
                            <span class="icon is-small is-left">
                                <i class="fa fa-user"></i>
                            </span>
                            <span class="icon is-small is-right">
                                <i class="fa fa-check"></i>
                            </span>
                        </p>
                        <p v-if="vErrors.name" class="help is-danger">{{ vErrors.name[0] }}</p>

                    </div>
                    <div class="field">
                        <p class="control has-icons-left has-icons-right">
                            <input class="input" type="email" placeholder="Email" :class="{ 'input is-danger': vErrors.email }"
                                v-model="email" required>
                            <span class="icon is-small is-left">
                                <i class="fa fa-envelope"></i>
                            </span>
                            <span class="icon is-small is-right">
                                <i class="fa fa-check"></i>
                            </span>
                        </p>
                        <p v-if="vErrors.email" class="help is-danger">{{ vErrors.email[0] }}</p>
                    </div>
                    <div class="field">
                        <p class="control has-icons-left">
                            <input class="input" type="password" placeholder="Password" :class="{ 'input is-danger': vErrors.password }"
                                v-model="password">
                            <span class="icon is-small is-left">
                            <i class="fa fa-lock"></i>
                            </span>
                        </p>
                        <p v-if="vErrors.password" class="help is-danger">{{ vErrors.password[0] }}</p>
                    </div>
                    <div class="field">
                        <p class="control has-icons-left">
                            <input class="input" type="password" placeholder="Confirmar Senha">
                            <span class="icon is-small is-left">
                            <i class="fa fa-lock"></i>
                            </span>
                        </p>
                    </div>
                    <div class="control">
                    <button type="submit" class="button is-link is-fullwidth">Cadastrar</button>
                    </div>
                </form>

                <div class="has-text-centered" style="margin-top: 20px">
                    Já possui conta? <nuxt-link to="login">Login</nuxt-link>
                </div>
            </div>
        </div>
        </div>
    </section>
</template>
<style scoped>
    .box {
        margin-top: 80px;
    }

    .container {
        display: flex;
        min-height: 70vh;
        flex-direction: column;
    }
</style>
<script>
import Notification from '~/components/Notification'

export default {
    middleware: 'guest',
  components: {
    Notification,
  },

  data() {
    return {
      name: '',
      email: '',
      password: '',
      error: null
    }
  },

  methods: {
    async register() {
      try {
        await this.$axios.post('/root/register', {
          name: this.name,
          email: this.email,
          password: this.password
        })

        await this.$auth.loginWith('local', {
          data: {
            email: this.email,
            password: this.password
          },
        })

        this.$router.push('/')
      } catch (e) {

      }
    }
  }
}
</script>
